%define shortname rest
%define name lib%{shortname}

%define api		0.7
%define major           0
%define libname         %mklibname %{shortname} %{api} %{major}
%define develname       %mklibname %{shortname} -d

Name: %{name}
Summary: Library for accessing rest web services
Group: System/Libraries
Version: 0.7.93
License: LGPLv2+
URL: http://www.meego.com
Release: %mkrel 1
Source0: http://ftp.gnome.org/pub/GNOME/sources/rest/%{api}/%{shortname}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: libsoup-devel
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel
Obsoletes: 		%{name} < %version

%description
Library for accessing rest web services

%package -n %{libname}
Summary: Library for accessing rest web services
Group: System/Libraries
Obsoletes: %{_lib}librest0 < %version
Conflicts: %{develname} < 0.7.10

%description -n %{libname}
Library for accessing rest web services

%package -n %{name}-doc

Summary: Documentation for %{name}
Group: Documentation

%description -n %{name}-doc
Documentation for %{name}

%package -n %{develname}

Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{shortname}-%{version}

%build
%configure2_5x --enable-gtk-doc=no --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done


find $RPM_BUILD_ROOT/%{_libdir} -name '*.la' -exec rm {} \;

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog
%{_libdir}/%{name}*-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/*

%files -n %{name}-doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/*

%files -n %{develname}
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/rest*/*
%{_libdir}/%{name}*.so
%{_datadir}/gir-1.0/*


%changelog
* Tue Jun 23 2015 bb <bb> 0.7.93-1pclos2015
- update

* Wed Sep 03 2014 bb <bb> 0.7.92-1pclos2014
- update

* Thu Aug 25 2011 Texstar <texstar at gmail.com> 0.7.10-2pclos2011
- remove .la files
